Skip to content

Gets all of the job posting types in the system.

Request

This method will scan all job posting types and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/careers/careers-v1/jobPostingTypes/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The job posting typeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this job posting type

is_activeboolean(Is Active)

Whether or not this job posting type is active

namestring(Name)required

The name of the job posting type

process_idstring(Process)

The process by which jobs of this type are posted

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

]
Response
[ { "id": "string", "is_active": true, "name": "string", "process_id": "string", "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1 } ]